Summary: Command-line EB and EPWING dictionary search program
Name: eblook
Version: 1.5.1
Release: 1
URL: http://openlab.ring.gr.jp/edict/eblook/
Source0: http://openlab.ring.gr.jp/edict/eblook/dist/%{name}-%{version}.tar.gz
License: GPL
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-root
Requires: eb >= 3.0.1
BuildRequires: eb-devel >= 3.0.1

%description
Command-line EB and EPWING dictionary search program.

%prep
rm -rf ${RPM_BUILD_DIR}/%{name}-%{version}

%setup -q

%build
%configure --with-eb-conf=%{_sysconfdir}/eb.conf
make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
[ "${RPM_BUILD_ROOT}" != "/" ] && mkdir -p ${RPM_BUILD_ROOT}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_infodir}
#touch %{buildroot}%{_infodir}/dir
install -m 0755 eblook %{buildroot}%{_bindir}
install -m 0644 eblook.info %{buildroot}%{_infodir}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/eblook.info* %{_infodir}/dir \
        --section="CD-ROM Book Utilities"

%preun
if [ $1 = 0 ] ;then
/sbin/install-info %{_infodir}/eblook.info* %{_infodir}/dir \
        --section="CD-ROM Book Utilities"
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/eblook
%{_infodir}/eblook.info*

%changelog
* Fri Jun 21 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.5.1-0vl1
- upstream release

* Tue Jan 22 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- first release for Vine Linux


